var DGTextToArea = {
    loaded: null,
    init: function() {
        if (DGTextToArea.loaded) {
            return;
        } else {
            DGTextToArea.loaded = true;
            var appcontent = document.getElementById('appcontent');
            if (appcontent) {
                appcontent.addEventListener('load', DGTextToArea.onPageLoad, true);
            }
        }
    },
    onPageLoad: function(aEvent) {
        if (aEvent.originalTarget.nodeName == '#document') {
            if (/^http:\/\/(?:www\.)?dailygammon\.com\//.test(aEvent.originalTarget.location.href)) {
                DGTextToArea.doc = aEvent.originalTarget;
                var FORMs = DGTextToArea.doc.getElementsByTagName('FORM');
                for (var i = 0; i < FORMs.length; ++i) {
                    if ((FORMs[i].hasAttribute('action')) && (FORMs[i].getAttribute('action').match(/^\/bg\/sendmsg\/\d+$/))) {
                        var INPUTs = DGTextToArea.doc.getElementsByTagName('input');
                        for (var j = 0; j < INPUTs.length; ++j) {
                            if (INPUTs[j].getAttribute('name') == 'text') {
                                var area = DGTextToArea.doc.createElement('textarea');
                                area.setAttribute('name', 'text');
                                area.setAttribute('rows', '10');
                                area.setAttribute('cols', '64');
                                INPUTs[j].parentNode.replaceChild(area, INPUTs[j]);
                            }
                        }
                    }
                }
            }
        }
    }
}

window.addEventListener('load', DGTextToArea.init, false);
